<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Label extends Model
{
    use HasFactory;

    protected $fillable = [
        'name', 'color',
    ];

    public function projects()
    {
        return $this->belongsToMany(Project::class, 'label_project');
    }

    public function tasks()
    {
        return $this->belongsToMany(Task::class, 'label_task');
    }
}
